Subject: [bug#47910] [PATCH] gnu: python-wtforms: Update to 2.3.3.

From: Ben Sturmfels <[email-masked]>
Date: Wed, 25 Aug 2021 10:57:33 +1000

Hi Jgart,

>> I have not been able to successfully run all the tests without using
>> tox manually.
>
> [...]
>
>> What is the consensus for using tox with guix?
>
> Tox is an environment manager. As such, it is redundant in Guix. Tox is
> not a hard requirement for tests in any project.
>
> You can inspect the tox.ini file that is shipped in projects. This is
> the tox.ini from wtforms, in the 2.3.3 tag: [1]. Note that the test
> command that tox will run is:
>
>> python setup.py compile_catalog
>> coverage run tests/runtests.py --with-pep8
>
> After running these commands in the custom check phase, I could
> succesfully run the tests. I also added python-sqlalchemy and python-
> dateutil to native-inputs.
>
> Note that it requires django<1.7 which we don't have, but it's
> optional. It seems that the testing command will change again in
> version 3 to a standard pytest call and the legacy dependencies will be
> removed [2] (also see tox.ini in the master branch).

Vinicius's approach his makes sense to me - we only need to test wtforms on the version of Python in Guix, not all possible versions the library supports. Would you be able to proceed with calling the tests as Vinicius describes?

This is the last dependency we need to package MediaGoblin! Very exciting!

Regards,
Ben